## org.eclipse.uml2.common.edit.domain
Class UML2AdapterFactoryEditingDomain

    java.lang.Object
      org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
          org.eclipse.uml2.common.edit.domain.UML2AdapterFactoryEditingDomain

All Implemented Interfaces:
  org.eclipse.emf.edit.domain.EditingDomain

    public class UML2AdapterFactoryEditingDomain

extends org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet, org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.DomainTreeIterator<E>, org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain.EditingDomainProvider`

Field Summary
`protected org.eclipse.emf.ecore.change.util.ChangeRecorder` `changeRecorder`

Fields inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`adapterFactory, clipboard, commandStack, optimizeCopy, resourceSet, resourceToReadOnlyMap`

Constructor Summary
`UML2AdapterFactoryEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.common.command.CommandStack commandStack)`
`UML2AdapterFactoryEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.common.command.CommandStack commandStack, java.util.Map<org.eclipse.emf.ecore.resource.Resource,java.lang.Boolean> resourceToReadOnlyMap)`
`UML2AdapterFactoryEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory, org.eclipse.emf.common.command.CommandStack commandStack, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

Method Summary
`protected org.eclipse.emf.ecore.change.util.ChangeRecorder` `createChangeRecorder()`
`org.eclipse.emf.ecore.change.util.ChangeRecorder` `getChangeRecorder()`

Methods inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain

`createCommand, createOverrideCommand, createResource, getAdapterFactory, getChildren, getClipboard, getCommandStack, getEditingDomainFor, getEditingDomainFor, getEditingDomainItemProviderFor, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getResourceToReadOnlyMap, getRoot, getTreePath, getWrapper, isControllable, isControlled, isReadOnly, isReadOnlyURI, isStale, loadResource, resolve, setAdapterFactory, setClipboard, setOptimizeCopy, setResourceToReadOnlyMap, treeIterator, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeRecorder

    protected org.eclipse.emf.ecore.change.util.ChangeRecorder changeRecorder

Constructor Detail

### UML2AdapterFactoryEditingDomain

    public UML2AdapterFactoryEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                           org.eclipse.emf.common.command.CommandStack commandStack)

### UML2AdapterFactoryEditingDomain

    public UML2AdapterFactoryEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                           org.eclipse.emf.common.command.CommandStack commandStack,
                                           java.util.Map<org.eclipse.emf.ecore.resource.Resource,java.lang.Boolean> resourceToReadOnlyMap)

### UML2AdapterFactoryEditingDomain

    public UML2AdapterFactoryEditingDomain(org.eclipse.emf.common.notify.AdapterFactory adapterFactory,
                                           org.eclipse.emf.common.command.CommandStack commandStack,
                                           org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

Method Detail

### createChangeRecorder

    protected org.eclipse.emf.ecore.change.util.ChangeRecorder createChangeRecorder()

### getChangeRecorder

    public org.eclipse.emf.ecore.change.util.ChangeRecorder getChangeRecorder()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.